Subject: Re: [StGit PATCH 2/2] Emacs mode: delete patches

From: David Kågedal <[email-masked]>
Date: Mon, 11 Feb 2008 11:12:12 +0100

Karl Hasselström <[email-masked]> writes:

> On 2008-02-11 10:42:22 +0100, David Kågedal wrote:
>
>> Karl Hasselström <[email-masked]> writes:
>>
>> > David, could you have a look at this as well? In addition to me
>> > being elisp challenged, there are the following issues:
>> >
>> >   * Is "d" a reasonable binding? Any better suggestion?
>>
>> We could reserve "d" for moving a patch "down", maybe. The more
>> destructive commands could be on less accessible keys. Maybe "D" or
>> "C-d".
>
> I'll take "D" then, since control bindings are more likely to collide
> with existing bindings (as is already the case with C-r for stg
> repair).

True, maybe we should move the repair binding as well.

>> >   * Currently, this command requires you to mark one or more
>> >     patches before deleting. This is convenient when deleting more
>> >     than one patch, but one could argue that it should be possible
>> >     to delete the patch at point without having to select it.
>>
>> You need something like this:
>
> OK, thanks. I'll whip up a proper patch tonight -- unless you prefer
> to do it yourself?

Be my guest.

-- 
David Kågedal